Index: protocols/jabber/iq.c
===================================================================
--- protocols/jabber/iq.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ protocols/jabber/iq.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -819,44 +780,44 @@
 		/* answer from proxy */
 
-		if( ( c = xt_find_node( c->children, "streamhost" ) ) &&
-		    ( host = xt_find_attr( c, "host" ) ) &&
-		    ( port_s = xt_find_attr( c, "port" ) ) &&
-		    ( sscanf( port_s, "%d", &port ) == 1 ) &&
-		    ( jid = xt_find_attr( c, "jid" ) ) )
-		{
-			jabber_streamhost_t *sh = g_new0( jabber_streamhost_t, 1 );
-			
-			sh->jid = g_strdup( jid );
-			sh->host = g_strdup( host );
-			g_snprintf( sh->port, sizeof( sh->port ), "%u", port );
-
-			imcb_log( ic, "Proxy found: jid %s host %s port %u", jid, host, port );
-			jd->streamhosts = g_slist_append( jd->streamhosts, sh );
-		}
-	}
-
-	if( jd->have_streamhosts == 0 )
+		if ((c = xt_find_node(c->children, "streamhost")) &&
+		    (host = xt_find_attr(c, "host")) &&
+		    (port_s = xt_find_attr(c, "port")) &&
+		    (sscanf(port_s, "%d", &port) == 1) &&
+		    (jid = xt_find_attr(c, "jid"))) {
+			jabber_streamhost_t *sh = g_new0(jabber_streamhost_t, 1);
+
+			sh->jid = g_strdup(jid);
+			sh->host = g_strdup(host);
+			g_snprintf(sh->port, sizeof(sh->port), "%u", port);
+
+			imcb_log(ic, "Proxy found: jid %s host %s port %u", jid, host, port);
+			jd->streamhosts = g_slist_append(jd->streamhosts, sh);
+		}
+	}
+
+	if (jd->have_streamhosts == 0) {
 		jd->have_streamhosts++;
-
-	return XT_HANDLED;
-}
-
-static xt_status jabber_iq_version_response( struct im_connection *ic,
-	struct xt_node *node, struct xt_node *orig );
-
-void jabber_iq_version_send( struct im_connection *ic, struct jabber_buddy *bud, void *data )
+	}
+
+	return XT_HANDLED;
+}
+
+static xt_status jabber_iq_version_response(struct im_connection *ic,
+                                            struct xt_node *node, struct xt_node *orig);
+
+void jabber_iq_version_send(struct im_connection *ic, struct jabber_buddy *bud, void *data)
 {
 	struct xt_node *node, *query;
-	
-	node = xt_new_node( "query", NULL, NULL );
-	xt_add_attr( node, "xmlns", XMLNS_VERSION );
-	query = jabber_make_packet( "iq", "get", bud->full_jid, node );
-	jabber_cache_add( ic, query, jabber_iq_version_response );
-
-	jabber_write_packet( ic, query );
-}
-
-static xt_status jabber_iq_version_response( struct im_connection *ic,
-	struct xt_node *node, struct xt_node *orig )
+
+	node = xt_new_node("query", NULL, NULL);
+	xt_add_attr(node, "xmlns", XMLNS_VERSION);
+	query = jabber_make_packet("iq", "get", bud->full_jid, node);
+	jabber_cache_add(ic, query, jabber_iq_version_response);
+
+	jabber_write_packet(ic, query);
+}
+
+static xt_status jabber_iq_version_response(struct im_connection *ic,
+                                            struct xt_node *node, struct xt_node *orig)
 {
 	struct xt_node *query;
@@ -866,64 +827,66 @@
 	bee_user_t *bu;
 	struct jabber_buddy *bud = NULL;
-	
-	if( ( s = xt_find_attr( node, "from" ) ) &&
-	    ( bud = jabber_buddy_by_jid( ic, s, 0 ) ) &&
-	    ( query = xt_find_node( node->children, "query" ) ) &&
-	    ( bu = bee_user_by_handle( ic->bee, ic, bud->bare_jid ) ) )
-	{
-		rets = g_string_new( "Resource " );
-		g_string_append( rets, bud->resource );
-	}
-	else
-		return XT_HANDLED;
-	
-	for( query = query->children; query; query = query->next )
-		if( query->text_len > 0 )
-			g_string_append_printf( rets, " %s: %s,", query->name, query->text );
-	
-	g_string_truncate( rets, rets->len - 1 );
+
+	if ((s = xt_find_attr(node, "from")) &&
+	    (bud = jabber_buddy_by_jid(ic, s, 0)) &&
+	    (query = xt_find_node(node->children, "query")) &&
+	    (bu = bee_user_by_handle(ic->bee, ic, bud->bare_jid))) {
+		rets = g_string_new("Resource ");
+		g_string_append(rets, bud->resource);
+	} else {
+		return XT_HANDLED;
+	}
+
+	for (query = query->children; query; query = query->next) {
+		if (query->text_len > 0) {
+			g_string_append_printf(rets, " %s: %s,", query->name, query->text);
+		}
+	}
+
+	g_string_truncate(rets, rets->len - 1);
 	ret[0] = rets->str;
-	imcb_buddy_action_response( bu, "VERSION", ret, NULL );
-	g_string_free( rets, TRUE );
-	
-	return XT_HANDLED;
-}
-
-static xt_status jabber_iq_disco_server_response( struct im_connection *ic,
-	struct xt_node *node, struct xt_node *orig );
-
-static int jabber_iq_disco_server( struct im_connection *ic )
+	imcb_buddy_action_response(bu, "VERSION", ret, NULL);
+	g_string_free(rets, TRUE);
+
+	return XT_HANDLED;
+}
+
+static xt_status jabber_iq_disco_server_response(struct im_connection *ic,
+                                                 struct xt_node *node, struct xt_node *orig);
+
+static int jabber_iq_disco_server(struct im_connection *ic)
 {
 	struct xt_node *node, *iq;
 	struct jabber_data *jd = ic->proto_data;
-	
-	node = xt_new_node( "query", NULL, NULL );
-	xt_add_attr( node, "xmlns", XMLNS_DISCO_INFO );
-	iq = jabber_make_packet( "iq", "get", jd->server, node );
-	
-	jabber_cache_add( ic, iq, jabber_iq_disco_server_response );
-	return jabber_write_packet( ic, iq );
-}
-
-static xt_status jabber_iq_disco_server_response( struct im_connection *ic,
-	struct xt_node *node, struct xt_node *orig )
+
+	node = xt_new_node("query", NULL, NULL);
+	xt_add_attr(node, "xmlns", XMLNS_DISCO_INFO);
+	iq = jabber_make_packet("iq", "get", jd->server, node);
+
+	jabber_cache_add(ic, iq, jabber_iq_disco_server_response);
+	return jabber_write_packet(ic, iq);
+}
+
+static xt_status jabber_iq_disco_server_response(struct im_connection *ic,
+                                                 struct xt_node *node, struct xt_node *orig)
 {
 	struct jabber_data *jd = ic->proto_data;
 	struct xt_node *id;
-	
-	if( ( id = xt_find_path( node, "query/identity" ) ) )
-	{
+
+	if ((id = xt_find_path(node, "query/identity"))) {
 		char *cat, *type, *name;
-		
-		if( !( cat = xt_find_attr( id, "category" ) ) ||
-		    !( type = xt_find_attr( id, "type" ) ) ||
-		    !( name = xt_find_attr( id, "name" ) ) )
+
+		if (!(cat = xt_find_attr(id, "category")) ||
+		    !(type = xt_find_attr(id, "type")) ||
+		    !(name = xt_find_attr(id, "name"))) {
 			return XT_HANDLED;
-		
-		if( strcmp( cat, "server" ) == 0 && strcmp( type, "im" ) == 0 &&
-		    strstr( name, "Google" ) != NULL )
+		}
+
+		if (strcmp(cat, "server") == 0 && strcmp(type, "im") == 0 &&
+		    strstr(name, "Google") != NULL) {
 			jd->flags |= JFLAG_GTALK;
-	}
-	
-	return XT_HANDLED;
-}
+		}
+	}
+
+	return XT_HANDLED;
+}
